Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class FastHttpDateFormat

    java.lang.Object
      org.apache.tomcat.util.http.FastHttpDateFormat

public final class FastHttpDateFormat
extends java.lang.Object

Utility class to generate HTTP dates.

Author:
  Remy Maucherat

Field Summary
`protected static java.lang.String` | `currentDate` Current formatted date.
`protected static long` | `currentDateGenerated` Instant on which the currentDate object was generated.
`protected static java.text.SimpleDateFormat` | `format` HTTP date format.
`protected static java.util.HashMap` | `formatCache` Formatter cache.
`protected static java.text.SimpleDateFormat[]` | `formats` The set of SimpleDateFormat formats to use in getDateHeader().
`protected static java.util.TimeZone` | `gmtZone`
`protected static java.util.HashMap` | `parseCache` Parser cache.

Constructor Summary
`FastHttpDateFormat()`

Method Summary
`static java.lang.String` | `formatDate(long value, java.text.DateFormat threadLocalformat)` Get the HTTP format of the specified date.
`static java.lang.String` | `getCurrentDate()` Get the current date in HTTP format.
`static long` | `parseDate(java.lang.String value, java.text.DateFormat[] threadLocalformats)` Try to parse the given date as a HTTP date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    protected static final java.text.SimpleDateFormat format

  HTTP date format.

### formats

    protected static final java.text.SimpleDateFormat[] formats

  The set of SimpleDateFormat formats to use in getDateHeader().

### gmtZone

    protected static final java.util.TimeZone gmtZone

### currentDateGenerated

    protected static long currentDateGenerated

  Instant on which the currentDate object was generated.

### currentDate

    protected static java.lang.String currentDate

  Current formatted date.

### formatCache

    protected static final java.util.HashMap formatCache

  Formatter cache.

### parseCache

    protected static final java.util.HashMap parseCache

  Parser cache.

Constructor Detail

### FastHttpDateFormat

    public FastHttpDateFormat()

Method Detail

### getCurrentDate

    public static final java.lang.String getCurrentDate()

  Get the current date in HTTP format.

### formatDate

    public static final java.lang.String formatDate(long value,
                                                    java.text.DateFormat threadLocalformat)

  Get the HTTP format of the specified date.

### parseDate

    public static final long parseDate(java.lang.String value,
                                       java.text.DateFormat[] threadLocalformats)

  Try to parse the given date as a HTTP date.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.